curl --request GET \
--url https://api.uat.frankie.one/v2/organizations/{entityId}/documents \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>'import requests
url = "https://api.uat.frankie.one/v2/organizations/{entityId}/documents"
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {api_key: '<api-key>', 'X-Frankie-CustomerID': '<x-frankie-customerid>'}
};
fetch('https://api.uat.frankie.one/v2/organizations/{entityId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"REPORT": [
{
"country": "AUS",
"class": "IDENTITY",
"documentId": "92de15f64-5717-4562-b3fc-2c963f6665a7",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expiryDate": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31"
},
"issueDate": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31"
},
"primaryIdentifier": "000734130",
"secondaryIdentifier": "P0001975",
"isDigital": true,
"isExternallyVerified": true,
"subtype": "Photo Comparison",
"subdivision": "VIC",
"createdAt": "2024-01-15T02:18:11.365Z",
"updatedAt": "2025-01-16T02:18:11.365Z",
"validFrom": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31"
},
"validTo": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31"
},
"sourceId": "324f15f64-5717-4562-b3fc-2c963f66ffa1",
"supplementaryData": {
"reference": "1",
"nameOnCardLine1": "<string>",
"nameOnCardLine2": "<string>",
"nameOnCardLine3": "<string>",
"nameOnCardLine4": "<string>",
"middleNameOnCard": "<string>"
},
"customAttributes": {},
"attachments": [
{
"data": {
"uri": "https://s3.amazonaws.com/dev/41963bc5feff322020137de233c3be0fac6/croppedFrontID/38d54232-b840-431d-b248-152345fe214.jpg"
},
"attachmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"filename": "<string>",
"mimeType": "<string>",
"pageNumber": 123,
"type": "<string>",
"location": "<string>",
"lastMalwareScanAt": "2023-11-07T05:31:56Z"
}
]
}
],
"SUPPORTING": [
{
"country": "AUS",
"class": "IDENTITY",
"documentId": "92de15f64-5717-4562-b3fc-2c963f6665a7",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expiryDate": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31"
},
"issueDate": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31"
},
"primaryIdentifier": "000734130",
"secondaryIdentifier": "P0001975",
"isDigital": true,
"isExternallyVerified": true,
"subtype": "Photo Comparison",
"subdivision": "VIC",
"createdAt": "2024-01-15T02:18:11.365Z",
"updatedAt": "2025-01-16T02:18:11.365Z",
"validFrom": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31"
},
"validTo": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31"
},
"sourceId": "324f15f64-5717-4562-b3fc-2c963f66ffa1",
"supplementaryData": {
"reference": "1",
"nameOnCardLine1": "<string>",
"nameOnCardLine2": "<string>",
"nameOnCardLine3": "<string>",
"nameOnCardLine4": "<string>",
"middleNameOnCard": "<string>"
},
"customAttributes": {},
"attachments": [
{
"data": {
"uri": "https://s3.amazonaws.com/dev/41963bc5feff322020137de233c3be0fac6/croppedFrontID/38d54232-b840-431d-b248-152345fe214.jpg"
},
"attachmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"filename": "<string>",
"mimeType": "<string>",
"pageNumber": 123,
"type": "<string>",
"location": "<string>",
"lastMalwareScanAt": "2023-11-07T05:31:56Z"
}
]
}
],
"IDENTITY": [
{
"country": "AUS",
"class": "IDENTITY",
"documentId": "92de15f64-5717-4562-b3fc-2c963f6665a7",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expiryDate": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31"
},
"issueDate": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31"
},
"primaryIdentifier": "000734130",
"secondaryIdentifier": "P0001975",
"isDigital": true,
"isExternallyVerified": true,
"subtype": "Photo Comparison",
"subdivision": "VIC",
"createdAt": "2024-01-15T02:18:11.365Z",
"updatedAt": "2025-01-16T02:18:11.365Z",
"validFrom": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31"
},
"validTo": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31"
},
"sourceId": "324f15f64-5717-4562-b3fc-2c963f66ffa1",
"supplementaryData": {
"reference": "1",
"nameOnCardLine1": "<string>",
"nameOnCardLine2": "<string>",
"nameOnCardLine3": "<string>",
"nameOnCardLine4": "<string>",
"middleNameOnCard": "<string>"
},
"customAttributes": {},
"attachments": [
{
"data": {
"uri": "https://s3.amazonaws.com/dev/41963bc5feff322020137de233c3be0fac6/croppedFrontID/38d54232-b840-431d-b248-152345fe214.jpg"
},
"attachmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"filename": "<string>",
"mimeType": "<string>",
"pageNumber": 123,
"type": "<string>",
"location": "<string>",
"lastMalwareScanAt": "2023-11-07T05:31:56Z"
}
]
}
],
"OTHER": [
{
"country": "AUS",
"class": "IDENTITY",
"documentId": "92de15f64-5717-4562-b3fc-2c963f6665a7",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expiryDate": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31"
},
"issueDate": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31"
},
"primaryIdentifier": "000734130",
"secondaryIdentifier": "P0001975",
"isDigital": true,
"isExternallyVerified": true,
"subtype": "Photo Comparison",
"subdivision": "VIC",
"createdAt": "2024-01-15T02:18:11.365Z",
"updatedAt": "2025-01-16T02:18:11.365Z",
"validFrom": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31"
},
"validTo": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31"
},
"sourceId": "324f15f64-5717-4562-b3fc-2c963f66ffa1",
"supplementaryData": {
"reference": "1",
"nameOnCardLine1": "<string>",
"nameOnCardLine2": "<string>",
"nameOnCardLine3": "<string>",
"nameOnCardLine4": "<string>",
"middleNameOnCard": "<string>"
},
"customAttributes": {},
"attachments": [
{
"data": {
"uri": "https://s3.amazonaws.com/dev/41963bc5feff322020137de233c3be0fac6/croppedFrontID/38d54232-b840-431d-b248-152345fe214.jpg"
},
"attachmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"filename": "<string>",
"mimeType": "<string>",
"pageNumber": 123,
"type": "<string>",
"location": "<string>",
"lastMalwareScanAt": "2023-11-07T05:31:56Z"
}
]
}
]
}Get all documents for an organization entity
Get all documents for an organization entity.
Authorizations
Headers
Your API key provided by FrankieOne
"245c765b124a098d09ef8765...."
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Username provided by API caller
"fred.flintstone@frankieone.com"
Path Parameters
Unique FrankieOne identifier for an entity
Query Parameters
Determines what level of detail to return in the response
- id: Return just an id
- meta: Return all metadata only, no links or base64 data
- base64: Return all metadata and data in base64 format
id, meta, base64 Was this page helpful?